<div class="settings-content">
  <div class="panel panel-default first">
    <div class="panel-heading">
      <h3 class="panel-title">{$label.headline}</h3>
    </div>
    <div class="panel-body">
      <div class="input-group">
        <span class="input-group-addon"><label>Suchanfragen mit keinem Ergebnis</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$searchesEmpty}</span></span>
      </div>
      <div class="input-group">
        <span class="input-group-addon"><label>Gesamtanzahl Suchanfragen</label></span>
        <span class="input-group-wrap"><span class="form-control tright">{$searchestotal}</span></span>
      </div>
      <div class="input-group">
        <form method="post" action="plugin.php" class="navbar-form">
		<input name="todo" value="addMapping" type="hidden" />
		<input name="kPlugin" value="{$kPlugin}" type="hidden" />
		<input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu->statsearch}" />
		<input type="hidden" name="form" value="sent" />
          <table class="list table">
            <thead>
            <tr>
              <th><input type="checkbox" name="delete[]" value="{$row.kLiveSearchSearch}" onchange="checkAllBoxes(this);" /></th>
              <th><a href="plugin.php?kPlugin={$kPlugin}&amp;kPluginAdminMenu={$kPluginAdminMenu->statsearch}&sortBy=name">Suchbegriff</a></th>
              <th><a href="plugin.php?kPlugin={$kPlugin}&amp;kPluginAdminMenu={$kPluginAdminMenu->statsearch}&sortBy=date">Erstmalig gesucht</a></th>
              <th><a href="plugin.php?kPlugin={$kPlugin}&amp;kPluginAdminMenu={$kPluginAdminMenu->statsearch}&sortBy=searches">Anzahl Suchen</a></th>
              <th><a href="plugin.php?kPlugin={$kPlugin}&amp;kPluginAdminMenu={$kPluginAdminMenu->statsearch}&sortBy=results">Anzahl Treffer</a></th>
			  {if $searchesEmpty>0}<th>Mapping</th>{/if}
            </tr>
            </thead>
            <tbody>
            {foreach $searches as $row}
            <tr>
              <td><input type="checkbox" name="delete[]" value="{$row.kLiveSearchSearch}" class="searchCheckbox" /></td>
              <td>{$row.cSearchQuery}</td>
              <td>{$row.dCreated}</td>
              <td>{$row.nNumSearches}</td>
              <td>{$row.nNumFindings}</td>
			  {if $searchesEmpty>0}
				  <td>
					{if $row.nNumFindings == 0}
						<input type="hidden" name="cSprache[{$row.kLiveSearchSearch}]" value="{$row.kSprache}" />
						<input type="hidden" name="cAnzSuchen[{$row.kLiveSearchSearch}]" value="{$row.nNumSearches}" />
						<input name="cSuche[{$row.kLiveSearchSearch}]" value="{$row.cSearchQuery}" type="hidden" />
						<input name="cMapping[{$row.kLiveSearchSearch}]" value="{$row.cSucheNeu}" placeholder="Mappen auf:" type="text" class="form-control" />
						{if $row.kSuchanfrageMapping > 0}
							<input type="hidden" name="kSuchanfrageMapping[{$row.kLiveSearchSearch}]" value="{$row.kSuchanfrageMapping}" />
							<button type="submit" name="todo" value="updateMapping_{$row.kLiveSearchSearch}" class="btn btn-primary">Mapping speichern</button>
						{else}
							<button type="submit" name="todo" value="saveMapping_{$row.kLiveSearchSearch}" class="btn btn-primary">Mapping speichern</button>
						{/if}
					{/if}
				  </td>
			  {/if}
            </tr>
            {/foreach}
            </tbody>
          </table>
          <button type="submit" name="todo" value="delete-search" class="btn btn-primary" onclick="collectDelete();">markierte l&ouml;schen</button>
        </form>
      </div>
    </div>
  </div>
</div>
<script>
{literal}
function checkAllBoxes(elem)
{
	$('.searchCheckbox').prop('checked',elem.checked);
}
{/literal}
</script>